Subject: Re: [RRG] Renumbering...

From: Dino Farinacci <[email-masked]>
Date: Wed, 13 Aug 2008 21:49:56 -0700

> On 2008-08-14 12:06, Dino Farinacci wrote:
>>> One of the topics that came up in Dublin during Lixia's talk was the
>>> acceptability of renumbering.  How do folks feel about an  
>>> architectural
>>> solution requiring renumbering to retain scalability?
>>
>> It will surely make new technology easier to deploy and scale better.
>> Will the bearer of the cost accept it? Well, it there is compelling
>> benefit, I think so. Do I think there is compelling benefits,  
>> again, I
>> think so.
>>
>> And we think (the LISP crew) that single-homed sites that want to  
>> become
>> multi-homed sites will be willing to renumber. Will multi-homed sites
>> renumber for a loc/id split solution, I think it depends on how  
>> simple
>> it is to run the solution and hence provide the benefits we have  
>> talked
>> about before.
>>
>> Now, the hard question is, will multi-homed sites who already have
>> renumbered with PI space, will they renumber again so if a PTR  
>> solution
>> is put in place, we can advertise less routes rather than more for
>> interworking purposes.
>
> Are we talking v4 or v6? For v6, we've always tried to project the
> idea that renumbering, or rather adding and dropping prefixes, should

I was referring to both. Renumber in both cases is still a pain.  
Stateless auto-configuration in IPv6 doesn't help renumber routers,  
switches, and firewalls at the site.

> be business as usual (RFC 4192). But I'm not sure this idea has
> taken among typical site IT managers. It requires rather disciplined
> operational practices such as a complete and current network  
> management
> database from which configs can be generated for routers, DHCP, DNS
> etc. Without such practices, I think we'll see very strong resistance
> to renumbering, even for IPv6 where it should be easier.

Well DHCPable address assignment should be easy. So all those roaming  
clients can be upgraded first. The routers and switches can have the  
dual prefix model as RFC 4192 suggests.

But staticly addressed servers will need planned outage.

Dino

--
to unsubscribe send a message to [email-masked] with the
word 'unsubscribe' in a single line as the message text body.
archive: <http://psg.com/lists/rrg/> & ftp://psg.com/pub/lists/rrg